package com.yifu.cloud.plus.v1.yifu.insurances.service.ekp.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceTypeRate;
import com.yifu.cloud.plus.v1.yifu.insurances.mapper.ekp.EkpSettleMapper;
import com.yifu.cloud.plus.v1.yifu.insurances.service.ekp.EkpSettleService;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.EkpInsuranceViewVo;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.EkpSocialViewVo;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.SettleVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.function.Function;

/**
 * @author zhaji
 * @description TODO
 * @date 2022-08-26 09:25:51
 */
@Service
public class EkpSettleServiceImpl implements EkpSettleService {

	@Resource
	EkpSettleMapper ekpSettleMapper;
	@Override
	public SettleVo getSettle(String id) {
		return ekpSettleMapper.getSettle(id);
	}

	@Override
	public List<EkpInsuranceViewVo> selectViewBySettleNo(String settleNo,String payFlag) {
		return ekpSettleMapper.selectSettleStatusBySettleNo(settleNo,payFlag);
	}

	@Override
	public List<EkpSocialViewVo> selectSocialViewBySettleNo(String settleNo, String payFlag) {
		return ekpSettleMapper.selectSocialViewStatusBySettleNo(settleNo,payFlag);
	}

	@Override
	public List<EkpSocialViewVo> selectFundViewBySettleNo(String settleNo,String payFlag) {
		return ekpSettleMapper.selectFundViewBySettleNo(settleNo,payFlag);
	}

	@Override
	public List<EkpInsuranceViewVo> selectFIncomelViewBySettleNo(String settleNo) {
		return ekpSettleMapper.selectFIncomelViewBySettleNo(settleNo);
	}

	@Override
	public List<EkpInsuranceViewVo> selectIncomelViewBySettleNo(String settleNo) {
		return ekpSettleMapper.selectIncomeViewBySettleNo(settleNo);
	}

	@Override
	public List<EkpSocialViewVo> selectSalarylViewBySettleNo(String settleNo,String payFlag) {
		return ekpSettleMapper.selectSalarylViewBySettleNo(settleNo,payFlag);
	}

	@Override
	public boolean saveBatch(Collection<TInsuranceTypeRate> entityList, int batchSize) {
		return false;
	}

	@Override
	public boolean saveOrUpdateBatch(Collection<TInsuranceTypeRate> entityList, int batchSize) {
		return false;
	}

	@Override
	public boolean updateBatchById(Collection<TInsuranceTypeRate> entityList, int batchSize) {
		return false;
	}

	@Override
	public boolean saveOrUpdate(TInsuranceTypeRate entity) {
		return false;
	}

	@Override
	public TInsuranceTypeRate getOne(Wrapper<TInsuranceTypeRate> queryWrapper, boolean throwEx) {
		return null;
	}

	@Override
	public Map<String, Object> getMap(Wrapper<TInsuranceTypeRate> queryWrapper) {
		return null;
	}

	@Override
	public <V> V getObj(Wrapper<TInsuranceTypeRate> queryWrapper, Function<? super Object, V> mapper) {
		return null;
	}

	@Override
	public BaseMapper<TInsuranceTypeRate> getBaseMapper() {
		return null;
	}

	@Override
	public Class<TInsuranceTypeRate> getEntityClass() {
		return null;
	}
}
